export var computeIconList = function () {
    if (!process.env.REACT_APP_ICON_PATH) {
        throw new Error('REACT_APP_ICON_PATH environment variable is not set!');
    }
    var fileList = require
        .context("../../../" + process.env.REACT_APP_ICON_PATH, true, /[\s\S]*$/)
        .keys();
    return fileList.reduce(function (acc, cur) {
        var fileName = cur.replace('./', '');
        var iconName = fileName.replace('.svg', '');
        acc[iconName] = require("!svg-inline-loader!../../../" + process.env.REACT_APP_ICON_PATH + "/" + fileName);
        return acc;
    }, {});
};
export default computeIconList();
//# sourceMappingURL=lib.js.map